KBookmarkBar Class Reference

`#include <kbookmarkbar.h>`

Inherits QObject.

## Public Slots

void | clear ()
void | slotBookmarksChanged (const QString &)
void | slotBookmarkSelected ()
void | slotBookmarkSelected (KAction::ActivationReason reason, Qt::ButtonState state)
void | slotRMBActionRemove (int)
void | slotRMBActionInsert (int)
void | slotRMBActionCopyLocation (int)
void | slotRMBActionEditAt (int)
void | slotRMBActionProperties (int)

## Signals

void | aboutToShowContextMenu (const KBookmark &, QPopupMenu *)
void | openBookmark (const QString &url, Qt::ButtonState state)

## Public Member Functions

| KBookmarkBar (KBookmarkManager *manager, KBookmarkOwner *owner, KToolBar *toolBar, KActionCollection *, QObject *parent=0L, const char *name=0L)
bool | isReadOnly () const
void | setReadOnly (bool)
QString | parentAddress ()

## Protected Member Functions

void | fillBookmarkBar (KBookmarkGroup &parent)
virtual bool | eventFilter (QObject *o, QEvent *e)

## Friends

class | RMB

## Detailed Description

This class provides a bookmark toolbar.

Using this class is nearly identical to using KBookmarkMenu so follow the directions there.

Definition at line 42 of file kbookmarkbar.h.

## Constructor & Destructor Documentation

KBookmarkBar::KBookmarkBar | ( | KBookmarkManager * | manager,
|  | KBookmarkOwner * | owner,
|  | KToolBar * | toolBar,
|  | KActionCollection * | coll,
|  | QObject * | parent = `0L`,
|  | const char * | name = `0L`
| ) |  |

Fills a bookmark toolbar.

Parameters

  manager | the bookmark manager
  owner | implementation of the KBookmarkOwner interface (callbacks)
  toolBar | toolbar to fill

The KActionCollection pointer argument is now obsolete.

Parameters

  parent | the parent widget for the bookmark toolbar
  name | the internal name for the bookmark toolbar

Definition at line 87 of file kbookmarkbar.cc.

## Member Function Documentation

void KBookmarkBar::aboutToShowContextMenu | ( | const KBookmark & | ,
|  | QPopupMenu * |
| ) |  |

signal

Since
  3.2

bool KBookmarkBar::isReadOnly | ( |  | ) | const

Since
  3.2

Definition at line 250 of file kbookmarkbar.cc.

void KBookmarkBar::openBookmark | ( | const QString & | url,
|  | Qt::ButtonState | state
| ) |  |

signal

Since
  3.4

QString KBookmarkBar::parentAddress | ( |  | ) |

Since
  3.2

Definition at line 108 of file kbookmarkbar.cc.

void KBookmarkBar::setReadOnly | ( | bool | readOnly | ) |

Since
  3.2

Definition at line 245 of file kbookmarkbar.cc.

void KBookmarkBar::slotBookmarkSelected | ( | KAction::ActivationReason | reason,
|  | Qt::ButtonState | state
| ) |  |

slot

Since
  3.4

Definition at line 255 of file kbookmarkbar.cc.

void KBookmarkBar::slotRMBActionCopyLocation | ( | int | val | ) |

slot

Since
  3.2

Definition at line 443 of file kbookmarkbar.cc.

void KBookmarkBar::slotRMBActionEditAt | ( | int | val | ) |

slot

Since
  3.2

Definition at line 431 of file kbookmarkbar.cc.

void KBookmarkBar::slotRMBActionInsert | ( | int | val | ) |

slot

Since
  3.2

Definition at line 437 of file kbookmarkbar.cc.

void KBookmarkBar::slotRMBActionProperties | ( | int | val | ) |

slot

Since
  3.2

Definition at line 434 of file kbookmarkbar.cc.

void KBookmarkBar::slotRMBActionRemove | ( | int | val | ) |

slot

Since
  3.2

Definition at line 440 of file kbookmarkbar.cc.

The documentation for this class was generated from the following files:

- kbookmarkbar.h
- kbookmarkbar.cc

KDE Home | KDE Accessibility Home | Description of Access Keys